阅读 44 SEO

YIi2 Object 报错问题

YIi2 Object 报错问题

yii2的老版本会有在PHP7运行的错误提示

Cannot use yii\base\Object as Object because ‘Object’ is a special class name

use yii\base\Object;

这里的Object 已经是PHP7的保留关键字,可以升级yii解决这个问题

执行

composer update

解决问题

复制代码

Updating dependencies (including require-dev)
Package operations: 0 installs, 1 update, 0 removals  - Updating yiisoft/yii2 (2.0.15.1 => 2.0.42.1): Downloading (100%)         
Package codeception/base is abandoned, you should avoid using it. No replacement was suggested.
Package fzaninotto/faker is abandoned, you should avoid using it. No replacement was suggested.
Package phpunit/php-token-stream is abandoned, you should avoid using it. No replacement was suggested.
Package phpunit/phpunit-mock-objects is abandoned, you should avoid using it. No replacement was suggested.
Writing lock fileGenerating autoload files1 package you are using is looking for funding.
Use the `composer fund` command to find out more!

  Seems you have upgraded Yii Framework from version 2.0.15.1 to 2.0.42.1.

  Please check the upgrade notes for possible incompatible changes
  and adjust your application code accordingly.

  The relevant notes for your upgrade are too long to be displayed here.

  You can find the upgrade notes for all versions online at:
  https://github.com/yiisoft/yii2/blob/2.0.42.1/framework/UPGRADE.md

复制代码


文章分类
后端
版权声明:本文内容由互联网用户自发贡献,该文观点仅代表作者本人。本站仅提供信息存储空间服务,不拥有所有权,不承担相关法律责任。如发现本站有涉嫌抄袭侵权/违法违规的内容, 请发送邮件至 gxwowoo@163.com 举报,一经查实,本站将立刻删除。
相关推荐